#
# spec file for package efont-unicode (Version 0.4.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bdfresize bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           efont-unicode
BuildRequires:  bdfresize freetype2 xorg-x11 xorg-x11-devel
License:        distributable
Group:          System/X11/Fonts
Autoreqprov:    on
Prereq:         %suseconfig_fonts_prereq
Summary:        Unicode Font by /efont/
Version:        0.4.2
Release:        19.2
URL:            http://openlab.ring.gr.jp/efont/
Source0:        http://openlab.ring.gr.jp/efont/dist/unicode-bdf/efont-unicode-bdf-0.4.2-src.tar.bz2
Patch:          baseline-offset.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch

%description
Unicode fonts developed by /efont/ openlab. This font package includes
12,14, 16, and 24 pixel ISO-10646 fonts.



Authors:
--------
    Kazuhiko  <kazuhiko@ring.gr.jp>

%debug_package
%prep
%setup -q -n efont-unicode-bdf-0.4.2-src
%patch
iconv -f ISO-8859-1 -t UTF-8 < README.etl-unicode > README.etl-unicode.tmp
mv README.etl-unicode.tmp README.etl-unicode
for i in README.shinonome README.naga10
do
    iconv -f EUC-JP -t UTF-8 < $i > $i.tmp
    mv $i.tmp $i
done
./configure --with-fontdir=/usr/X11R6/lib/X11/fonts/misc

%build
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p %{buildroot}/usr/X11R6/lib/X11/fonts/misc
install -m 444 *.pcf.gz %{buildroot}/usr/X11R6/lib/X11/fonts/misc

%clean
rm -rf %{buildroot}

%post
%run_suseconfig_fonts

%postun
%run_suseconfig_fonts

%files
%defattr(-, root,root)
%doc README* COPYRIGHT ChangeLog
/usr/X11R6/lib/X11/fonts/misc/*.pcf.gz

%changelog -n efont-unicode
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Oct 18 2005 - mfabian@suse.de
- Bugzilla #65106: convert README* to UTF-8.
* Mon Jan 10 2005 - schwab@suse.de
- Set _MULE_BASELINE_OFFSET only in 24 pxl font.
* Fri Dec 03 2004 - mfabian@suse.de
- use new macro "%%run_suseconfig_fonts".
* Wed Sep 15 2004 - mfabian@suse.de
- Bugzilla #45341: run SuSEconfig.fonts only if it exists.
- update to 0.4.2 (which includes my patch for Bugzilla #44705
  and Bugzilla #24755).
* Tue Sep 14 2004 - mfabian@suse.de
- Bugzilla #44705: set _MULE_BASELINE_OFFSET to -3 for all
  efont-unicode fonts to make them harmonize better with the
  ETL-fonts from the GNU intlfonts-1.2.1 package.
* Thu Mar 18 2004 - mfabian@suse.de
- use %%suseconfig_fonts_prereq
* Sat Feb 14 2004 - mfabian@suse.de
- run SuSEconfig.fonts and SuSEconfig.pango in %%post and %%postun
* Thu Feb 05 2004 - hmacht@suse.de
- added option # norootforbuild in specfile
* Thu Nov 06 2003 - arvin@suse.de
- added freetype2 to neededforbuild
* Sat Mar 08 2003 - mfabian@suse.de
- Bug #24755: add more missing properties to the bdf headers:
  ADD_STYLE_NAME, PIXEL_SIZE, POINT_SIZE, RESOLUTION_X,
  RESOLUTION_Y, and AVERAGE_WIDTH.
  If these properties are missing they cannot be queried via
  freetype2. Being able to query POINT_SIZE and AVERAGE_WIDTH
  from freetype2 is useful to find out whether a font is
  single-width or double-width.
* Thu Jan 09 2003 - mfabian@suse.de
- add missing properties to the bdf headers:
  FOUNDRY, FAMILY_NAME, WEIGHT_NAME, SLANT, SETWIDTH_NAME
  CHARSET_REGISTRY, and CHARSET_ENCODING.
  This is necessary to make these fonts work with Xft.
- move fonts from /usr/X11R6/lib/X11/fonts/ucs/misc to
  /usr/X11R6/lib/X11/fonts/misc
* Thu Nov 15 2001 - mfabian@suse.de
- update to 0.4.0 (includes 10 pixel fonts now)
- build from sources instead of using the pre-built bdf files
  (saves 8 MB in the source rpm and enables use to build the
  "full-witdh" fonts as well, which are very useful with
  xterm in UTF-8 mode).
- add efont-unicode-bdf-0.4.0.patch to build "full-width" only
  fonts as well and to fix the XLFD for "full-width" fonts to
  something like:
  "-efont-fixed-medium-r-normal-*-16-160-75-75-c-160-iso10646-1"
  (i.e. "fixed" instead of "biwidth", "c" instead of "p"
  and twice the average width than the "half-width" font.
* Tue Sep 04 2001 - mfabian@suse.de
- update to version 0.3.1 (includes 24 pixel fonts now)
* Fri Mar 09 2001 - ro@suse.de
- added xf86
* Wed Feb 28 2001 - ro@suse.de
- fixed typo in specfile
* Wed Jan 31 2001 - violiet@suse.de
- efont-unicode-bdf renamed to efont-unicode.
* Mon Jan 29 2001 - violiet@suse.de
- NEW efont-unicode-bdf package version to 0.2.
